package controllers_join

import (
	"encoding/json"
	"net/http"
	"syncscan-go/locals"
	models_join "syncscan-go/models/join"

	"github.com/dabory/abango-rest"
	"github.com/labstack/echo"
)

type SettingSearchPageReq struct {
	QueryVars locals.QueryVars
	PageVars  locals.PageVars
}

func SettingSearchPage(c echo.Context) error {

	v := c.Get("receiver").(SettingSearchPageReq)
	y := c.Get("abango").(abango.Controller)

	vRet := &struct {
		models_join.SettingSearchPageRet
	}{}

	vRet.QueryVars = v.QueryVars
	vRet.PageVars = v.PageVars

	if err := vRet.GetSettingSearchPage(y.Db); err != nil {
		return c.String(607, err.Error())
	}

	ret, _ := json.Marshal(vRet)
	return c.JSONBlob(http.StatusOK, ret)
}
